Issue291

classification
Title [Bug: 21.5-b28] segv when changing font
Type defect Module core code 21.5
Severity crash Platform x86, unix
Keywords Nosy List
explanation
process
These controls should only be changed by committers and tracker administrators.
Status new   Reason
Superseder   Submitted 2008-02-09.16:09:30
Priority normal   Assigned To

Created on 2008-02-10.01:37:06 by feodor, last changed 2008-02-18.04:41:41 by mike.kupfer.

Messages
msg549 [hidden] ([hidden]) Date: 2008-02-10.01:37:06
  Message-ID: <20080207161702.E98AA3D221@pc000ffe3d2723.math.ku.dk>
================================================================
Dear Bug Team!

XEmacs crashed for me when I was trying to change the font; below is
the output.  I had little luck in obtaining the "C stack backtrace"
following the directions below.

------------

Fatal error (11).

Your files have been auto-saved.
Use `M-x recover-session' to recover them.

Your version of XEmacs was distributed with a PROBLEMS file that may describe
your crash, and with luck a workaround.  Please check it first, but do report
the crash anyway.

Please report this bug by invoking M-x report-emacs-bug, or by selecting
`Send Bug Report' from the Help menu.  If that won't work, send ordinary
email to `xemacs-beta@xemacs.org'.  *MAKE SURE* to include this entire
output from this crash, especially including the Lisp backtrace, as well as
the XEmacs configuration from M-x describe-installation (or equivalently,
the file `Installation' in the top of the build tree).

*Please* try *hard* to obtain a C stack backtrace; without it, we are unlikely
to be able to analyze the problem.  Locate the core file produced as a result
of this crash (often called `core' or `core.<process-id>', and located in
the directory in which you started XEmacs or your home directory), and type

  gdb /usr/bin/xemacs core

then type `where' at the debugger prompt.  No GDB on your system?  You may
have DBX, or XDB, or SDB.  (Ask your system administrator if you need help.)
If no core file was produced, enable them (often with `ulimit -c unlimited')
in case of future recurrance of the crash.

Lisp backtrace follows:

  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  specifier-instance(#<font-specifier global=<unspecified> fallback=#<font-specifier global=((custom) . "-*-New Century Schoolbook-medium-r-*-*-*-140-*-*-*-*-*-*") fallback=(((tty) . "normal") ((x) . "-*-lucidatypewriter-medium-r-*-*-*-120-*-*-*-*-*-*") ((x) . "-*-*-medium-r-*-*-*-120-*-*-c-*-*-*") ((x encode-as-utf-8 initial x-coverage-instantiator) . "-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1") ((x two-dimensional initial) . "-*-*-medium-r-*-*-*-150-*-*-c-*-*-*") ((x two-dimensional initial) . "-*-*-medium-r-*-*-*-160-*-*-c-*-*-*") ((x two-dimensional initial) . "-*-*-medium-r-*-*-*-170-*-*-c-*-*-*") ((x one-dimensional final x-coverage-instantiator) . "-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1") ((x two-dimensional final x-coverage-instantiator) . "-misc-fixed-medium-r-normal--15-140-75-75-c-90-iso10646-1") ((x) . "*")) 0x1f39> 0x8c116> nil nil nil)
  # bind (value no-fallback default domain property face)
  face-property-instance(font-lock-string-face font nil)
  # bind (charset domain face)
  face-font-instance(font-lock-string-face)
  # bind (--dolist-temp--75912 face new-default-face-font face-list-to-change from-slant from-weight from-size from-family font-data dcache size weight family)
  font-menu-set-font("New Brilliant" nil nil)
  eval((font-menu-set-font "New Brilliant" nil nil))
  # (condition-case ... . error)
  # (catch top-level ...)

[1]    Segmentation fault            xemacs ../.Xdefaults

-----------
gdb /usr/bin/xemacs core
GNU gdb 6.6.50.20070726-cvs
Copyright (C) 2007 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i586-suse-linux"...
(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
"/home/f/feodor/core" is not a core dump: File format not recognized
(gdb) where
No stack.
(gdb)

================================================================

System Info to help track down your bug:
---------------------------------------

uname -a: Linux molitor 2.6.22 #1 SMP Thu May 17 14:00:09 UTC 2007 i686 i686 i386 GNU/Linux

./configure  'i386-suse-linux' '--with-gcc' '--with-dynamic' '--with-debug' '--enable-error-checking=none' '--with-cflags=-O2 -march=i586 -mtune=i686 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -g -Wall -Wno-switch -pipe -fno-strict-aliasing -DLDAP_DEPRECATED ' '--with-ldflags=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--datadir=/usr/share' '--with-archlibdir=/usr/lib/xemacs/21.5.28.20070807/i386-suse-linux' '--with-docdir=/usr/lib/xemacs/21.5.28.20070807/i386-suse-linux' '--with-lispdir=/usr/share/xemacs/21.5.28.20070807/lisp' '--with-etcdir=/usr/share/xemacs/21.5.28.20070807/etc' '--with-statedir=/var/lib/xemacs' '--with-moduledir=/usr/lib/xemacs/21.5.28.20070807/i386-suse-linux/modules' '--infodir=/usr/share/xemacs/info' '--mandir=/usr/share/man/man1' '--enable-database=gdbm,berkdb' '--with-ncurses' '--with-canna' '--with-tty=yes' '--with-site-lisp' '--disable-mc-alloc' '--disable-kkcc' '--disable-newgc' '--enable-sound=native' '--with-g
 pm' '--enable-pdump' '--disable-dump-in-exec' '--with-xpm' '--with-gif' '--with-tiff' '--with-jpeg' '--with-png' '--with-x' '--with-athena=3d' '--enable--menubars=lucid' '--enable-scrollbars=lucid' '--enable-dialogs=athena' '--enable-widgets=athena' '--x-includes=/usr/include' '--x-libraries=/usr/lib' '--enable-mule' '--with-xim=xlib' '--with-xfs' '--enable-clash-detection' '--with-ldap' '--with-pop' 'build_alias=i386-suse-linux' 'host_alias=i386-suse-linux' 'target_alias=i386-suse-linux' 'CFLAGS=-O2 -march=i586 -mtune=i686 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -g -Wall -Wno-switch -pipe -fno-strict-aliasing -DLDAP_DEPRECATED ' 'LDFLAGS='

XEmacs 21.5-b28 "fuki" (+CVS-20070806) configured for `i386-suse-linux'.

Compilation Environment and Installation Defaults:
  Source code location:              /usr/src/packages/BUILD/xemacs-21.5.28.20070807
  Installation prefix:               /usr
  Operating system description file: `s/linux.h'
  Machine description file:          `m/intel386.h'
  Compiler version:                  gcc (GCC) 4.2.1 (SUSE Linux)
    - GCC specs file:                specs.
    - Compiler command:              gcc  -Wall -Wno-switch -Wundef -Wsign-compare -Wno-char-subscripts -Wpacked -Wunused-parameter -g  -O2 -march=i586 -mtune=i686 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -g -Wall -Wno-switch -pipe -fno-strict-aliasing -DLDAP_DEPRECATED 
  libc version:                      2.6.1
  Relocating allocator for buffers:  no
  GNU version of malloc:             yes
    - Using Doug Lea's new malloc from the GNU C Library.

Window System:
  Compiling in support for the X window system:
    - X Windows headers location:                 /usr/include
    - X Windows libraries location:               /usr/lib
    - Handling WM_COMMAND properly.
  Compiling in support for the Athena widget set:
    - Athena headers location:                    X11/Xaw3d
    - Athena library to link:                     Xaw3d
  Using Lucid menubars.
  Using Lucid scrollbars.
  Using Athena dialog boxes.
  Using Athena native widgets.

TTY:
  Compiling in support for ncurses.
  Compiling in support for GPM (General Purpose Mouse).

Images:
  Compiling in support for GIF  images (builtin).
  Compiling in support for XPM  images.
  Compiling in support for PNG  images.
  Compiling in support for JPEG images.
  Compiling in support for TIFF images.
  Compiling in support for X-Face message headers.

Sound:
  Compiling in support for sound (native).

Databases:
  Compiling in support for Berkeley database.
  Compiling in support for GNU DBM.
  Compiling in support for LDAP.

Internationalization:
  Compiling in support for Mule (multi-lingual Emacs).
  Compiling in support for XIM (X11R5+ I18N input method).
    - Using raw Xlib to provide XIM support.
    - Using XFontSet to provide bilingual menubar.
  Compiling in support for Canna on Mule.
  Compiling in support for the WNN input method on Mule.

Mail:
  Compiling in support for POP mail retrieval.
  Compiling in support for "file" mail spool file locking method.

Other Features:
  Inhibiting IPv6 canonicalization at startup.
  Compiling in support for dynamic shared object modules.
  Using the new portable dumper.
  Compiling in support for extra debugging code.

Load-Path Lisp Shadows:
----------------------
(/usr/share/xemacs/site-lisp/site-start
/usr/share/xemacs/site-packages/lisp/site-start
/usr/share/xemacs/mule-packages/lisp/mule-base/ethio-util
/usr/share/xemacs/21.5.28.20070807/lisp/mule/ethio-util
/usr/share/xemacs/mule-packages/lisp/mule-base/china-util
/usr/share/xemacs/21.5.28.20070807/lisp/mule/china-util
/usr/share/xemacs/mule-packages/lisp/mule-base/japan-util
/usr/share/xemacs/21.5.28.20070807/lisp/mule/japan-util
/usr/share/xemacs/mule-packages/lisp/mule-base/korea-util
/usr/share/xemacs/21.5.28.20070807/lisp/mule/korea-util
/usr/share/xemacs/mule-packages/lisp/mule-base/cyril-util
/usr/share/xemacs/21.5.28.20070807/lisp/mule/cyril-util
/usr/share/xemacs/mule-packages/lisp/mule-base/viet-util
/usr/share/xemacs/21.5.28.20070807/lisp/mule/viet-util
/usr/share/xemacs/xemacs-packages/lisp/xemacs-base/easy-mmode
/usr/share/xemacs/21.5.28.20070807/lisp/easy-mmode
/usr/share/xemacs/site-packages/lisp/term/gnome
/usr/share/xemacs/21.5.28.20070807/lisp/gnome
/usr/share/xemacs/mule-packages/lisp/mule-ucs/unicode
/usr/share/xemacs/21.5.28.20070807/lisp/unicode
/usr/share/xemacs/xemacs-packages/lisp/build/build-report
/usr/share/xemacs/21.5.28.20070807/lisp/build-report
/usr/share/xemacs/xemacs-packages/lisp/xemacs-base/regexp-opt
/usr/share/xemacs/21.5.28.20070807/lisp/regexp-opt)

Installed XEmacs Packages:
-------------------------
(zenirc ver: 1.16 upstream: 2.112)
(xwem ver: 1.22 upstream: lg@xwem.org--2005/xwem--main--2.1--versionfix-1)
(xslt-process ver: 1.12 upstream: 1.2.1)
(xslide ver: 1.09 upstream: 0.2.2)
(xlib ver: 1.14 upstream: lg@xwem.org--2005/xlib--main--2.1--version-0)
(xetla ver: 1.01 upstream: steve@eicq.org--2005/xetla--main--1.1--version-0)
(xemacs-devel ver: 1.75 upstream: No-Upstream-Ver)
(xemacs-base ver: 2.1 upstream: No-Upstream-Ver)
(x-symbol ver: 1.1 upstream: 4.5.1)
(w3 ver: 1.33 upstream: 4.0pre47)
(vm ver: 7.22 upstream: 7.17)
(viper ver: 1.55 upstream: 3.09)
(view-process ver: 1.13 upstream: 2.4)
(vhdl ver: 1.22 upstream: 3.33.12)
(vc ver: 1.41 upstream: No-Upstream-Ver)
(tramp ver: 1.37 upstream: 2.0.55)
(tpu ver: 1.14 upstream: 4.2X)
(tm ver: 1.38 upstream: No-Upstream-Ver)
(time ver: 1.14 upstream: 1.17)
(textools ver: 1.15 upstream: No-Upstream-Ver)
(text-modes ver: 1.92 upstream: No-Upstream-Ver)
(texinfo ver: 1.3 upstream: No-Upstream-Ver)
(supercite ver: 1.21 upstream: 3.55x3)
(strokes ver: 1.1 upstream: No-Upstream-Ver)
(speedbar ver: 1.28 upstream: 0.14beta4)
(slider ver: 1.15 upstream: 0.3x1)
(sieve ver: 1.18 upstream: No-Upstream-Ver)
(sh-script ver: 1.22 upstream: 2.0f)
(sgml ver: 1.11 upstream: No-Upstream-Ver)
(semantic ver: 1.2 upstream: 1.4.4)
(scheme ver: 1.15 upstream: No-Upstream-Ver)
(ruby-modes ver: 1.02 upstream: 1.6.8)
(rmail ver: 1.14 upstream: No-Upstream-Ver)
(riece ver: 1.23 upstream: 3.1.2)
(reftex ver: 1.34 upstream: 4.21)
(re-builder ver: 1.05 upstream: 1.20)
(python-modes ver: 1.08 upstream: No-Upstream-Ver)
(psgml ver: 1.44 upstream: 1.3.1)
(ps-print ver: 1.11 upstream: 6.5.6)
(prog-modes ver: 2.1 upstream: No-Upstream-Ver)
(pgg ver: 1.06 upstream: 0.1)
(perl-modes ver: 1.09 upstream: No-Upstream-Ver)
(pcomplete ver: 1.04 upstream: 1.1.6)
(pcl-cvs ver: 1.67 upstream: R-2_9_9)
(pc ver: 1.28 upstream: No-Upstream-Ver)
(os-utils ver: 1.39 upstream: No-Upstream-Ver)
(ocaml ver: 0.06 upstream: 3.06)
(misc-games ver: 1.19 upstream: No-Upstream-Ver)
(mine ver: 1.16 upstream: 1.9)
(mh-e ver: 1.29 upstream: 7.4.2)
(mew ver: 1.19 upstream: 1.94.2)
(mailcrypt ver: 2.14 upstream: 3.5.8)
(mail-lib ver: 1.79 upstream: No-Upstream-Ver)
(jde ver: 1.51 upstream: 2.3.3)
(ispell ver: 1.32 upstream: 3.6)
(ilisp ver: 1.34 upstream: 5.12.0)
(igrep ver: 1.14 upstream: 2.111)
(idlwave ver: 1.32 upstream: 5.1)
(ibuffer ver: 1.09 upstream: No-Upstream-Ver)
(hm--html-menus ver: 1.23 upstream: 5.9)
(haskell-mode ver: 1.11 upstream: 2.1)
(gnats ver: 1.17 upstream: 3.101)
(games ver: 1.17 upstream: 1.04)
(fsf-compat ver: 1.15 upstream: No-Upstream-Ver)
(fortran-modes ver: 1.05 upstream: No-Upstream-Ver)
(forms ver: 1.15 upstream: 2.37)
(footnote ver: 1.16 upstream: 0.18x)
(eudc ver: 1.39 upstream: 1.32)
(eterm ver: 1.17 upstream: No-Upstream-Ver)
(eshell ver: 1.1 upstream: 2.4.1)
(escreen ver: 1.01 upstream: 1.16)
(emerge ver: 1.11 upstream: No-Upstream-Ver)
(eieio ver: 1.05 upstream: 0.17)
(efs ver: 1.33 upstream: 1.23)
(edt ver: 1.13 upstream: No-Upstream-Ver)
(edit-utils ver: 2.37 upstream: No-Upstream-Ver)
(ediff ver: 1.68 upstream: 2.75)
(edebug ver: 1.22 upstream: No-Upstream-Ver)
(ecrypto ver: 0.2 upstream: 2.0)
(ecb ver: 1.22 upstream: 2.31)
(docbookide ver: 0.08 upstream: 0.1)
(dired ver: 1.17 upstream: 7.13)
(dictionary ver: 1.16 upstream: 1.8)
(debug ver: 1.18 upstream: No-Upstream-Ver)
(cookie ver: 1.15 upstream: No-Upstream-Ver)
(clearcase ver: 1.1 upstream: /main/laptop/165)
(cc-mode ver: 1.45 upstream: 5.30.10)
(calendar ver: 1.32 upstream: No-Upstream-Ver)
(calc ver: 1.26 upstream: 2.02fX3)
(c-support ver: 1.22 upstream: No-Upstream-Ver)
(build ver: 1.14 upstream: 2.02)
(bbdb ver: 1.32 upstream: 2.35)
(auctex ver: 1.47 upstream: 11.55)
(apel ver: 1.32 upstream: 10.6)
(ada ver: 1.14 upstream: 2.27)
(mule-ucs ver: 1.14 upstream: 0.84)
(mule-base ver: 1.49 upstream: No-Upstream-Ver)
(leim ver: 1.24 upstream: No-Upstream-Ver)
(latin-unity ver: 1.2 upstream: 1.20)
(egg-its ver: 1.27 upstream: No-Upstream-Ver)
(edict ver: 1.16 upstream: 0.9.9)

Installed Modules:
-----------------

Features:
--------

(xemacsbug shadow pp alist x-font-menu font-menu dired-custom-defines
xslide-custom-defines xemacs-base-custom-defines
text-modes-custom-defines po-mode po-compat flyspell
speedbar-custom-defines psgml-custom-defines sgml-mode psgml
prog-modes-custom-defines mh-e-custom-defines mh-identity mh-comp
mh-xemacs-compat mh-e mh-xemacs-icons mh-utils gnus-cite mh-inc
mh-loaddefs mh-customize mail-lib-custom-defines
ibuffer-custom-defines gnus-custom-defines url mm mule-sysdp url-parse
url-vars gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg
gnus-art mm-uu mml2015 pgg-def mm-view gnus-sum gnus-group gnus-undo
nntp nnoo nnmail mail-source format-spec gnus-cache gnus-start
gnus-spec gnus-win gnus-int gnus-range message mml mml-sec mml-smime
smime dig mm-decode mm-bodies mm-encode mailcap mail-parse rfc2045
rfc2231 rfc2047 qp ietf-drums mail-abbrevs sendmail rfc822 mailheader
canlock sha1 hex-util gnus gnus-ems gnus-xmas messagexmas nnheader
nnheaderxm gnus-util netrc time-date mail-utils mm-util mail-prsvr
executable edit-utils-custom-defines align after-save-commands
ecb-custom-defines ecb ecb-compatibility ecb-winman-support
ecb-autogen autoload ecb-tod ecb-cycle ecb-eshell ecb-jde efc
ecb-file-browser edmacro ecb-upgrade ecb-method-browser semantic-load
semantic-ia-sb semantic-analyze semantic-ctxt semantic-cb
eieio-speedbar eieio-custom semanticdb eieio-base ecb-navigate eieio
ecb-help ecb-layout ecb-create-layout ecb-compilation ecb-speedbar
ecb-semantic-wrapper semantic-util-modes semantic-util semantic
working ecb-common-browser ecb-mode-line ecb-face tree-buffer ecb-util
thing silentcomp auctex-custom-defines texmathp
ps-print-custom-defines calc-custom-defines build-custom-defines
efs-dired efs-x19.15 efs-fnh efs-ovwrt efs-netrc efs-defun comint ring
efs efs-dump pcl-cvs diff-mode pcl-cvs-parse pcl-cvs-info pcl-cvs-defs
pcl-cvs-util cvs-compat dired-faces dired-xemacs dired cookie dll
elib-node compile build-report build config cus-edit cus-load wid-edit
tex-buf outline font-latex latex efs-cu font byte-optimize bytecomp
byte-compile poe-xemacs timer overlay poe pym static apel-ver product
php-mode cc-mode cc-fonts cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs speedbar sb-image dframe assoc font-lock
cus-face tex advice advice-preload regexp-opt tex-site ispell
latin-euro-latin8 x-compose zenirc-autoloads xwem-autoloads
xslt-process-autoloads xslide-autoloads xlib-autoloads xetla-autoloads
xemacs-devel-autoloads xemacs-base-autoloads x-symbol-autoloads
w3-autoloads vm-autoloads viper-autoloads view-process-autoloads
vhdl-autoloads vc-autoloads tramp-autoloads tpu-autoloads tm-autoloads
time-autoloads textools-autoloads text-modes-autoloads
texinfo-autoloads supercite-autoloads strokes-autoloads
speedbar-autoloads slider-autoloads sieve-autoloads
sh-script-autoloads sgml-autoloads semantic-autoloads scheme-autoloads
ruby-modes-autoloads rmail-autoloads riece-autoloads reftex-autoloads
re-builder-autoloads python-modes-autoloads psgml-autoloads
ps-print-autoloads lpr prog-modes-autoloads pgg-autoloads
perl-modes-autoloads pcomplete-autoloads pcl-cvs-autoloads
pc-autoloads os-utils-autoloads ocaml-autoloads net-utils-autoloads
misc-games-autoloads mine-autoloads mh-e-autoloads mew-autoloads
mailcrypt-autoloads mail-lib-autoloads jde-autoloads ispell-autoloads
ilisp-autoloads igrep-autoloads idlwave-autoloads ibuffer-autoloads
hm--html-menus-autoloads haskell-mode-autoloads gnus-autoloads
gnats-autoloads games-autoloads fsf-compat-autoloads
fortran-modes-autoloads forms-autoloads footnote-autoloads
eudc-autoloads eterm-autoloads eshell-autoloads escreen-autoloads
erc-autoloads emerge-autoloads eieio-autoloads efs-autoloads
edt-autoloads edit-utils-autoloads ediff-autoloads ediff-hook
edebug-autoloads ecrypto-autoloads ecb-autoloads docbookide-autoloads
dired-autoloads dictionary-autoloads debug-autoloads cookie-autoloads
clearcase-autoloads cc-mode-autoloads calendar-autoloads
calc-autoloads c-support-autoloads build-autoloads bbdb-autoloads
auctex-autoloads apel-autoloads ada-autoloads mule-ucs-autoloads
mule-base-autoloads leim-autoloads latin-unity-autoloads
egg-its-autoloads edict-autoloads modules-autoloads mule-autoloads
auto-autoloads disp-table auto-show fontl-hooks canna-leim tibetan
slovenian czech romanian lao devanagari indian cyrillic code-cmds
gutter-items menubar-items x-menubar mode-motion mouse behavior itimer
auto-save lisp-mode easymenu easy-mmode iso8859-1 page buff-menu
lib-complete loadhist cus-file derived newcomment rsz-minibuf env
text-props frame obsolete cus-start custom widget cl-extra cl cl-19
packages backquote wnn unicode lucid-scrollbars cut-buffer
lucid-menubars athena-dialogs x c-balloon-help tty-frames tty toolbar
native-sound scrollbar unix-processes multicast network-streams
subprocesses modules menu-accelerator-support menubar berkeley-db dbm
md5 xemacs xim mule gutter tiff png gif jpeg xface xpm xbm
lisp-float-type file-coding linux dialog devices window-system base64)

Recent keystrokes:
-----------------

. TAB . c u TAB BS BS e m TAB TAB TAB RET C-x C-f c 
u s t TAB TAB BS BS BS BS e m TAB TAB BS BS TAB TAB 
BS BS BS BS BS BS BS BS C-x 1 C-g misc-user button5 
next prior misc-user misc-user misc-user misc-user 
C-x C-f c u s TAB TAB RET button5 button4 C-x C-f RET 
C-x C-f TAB TAB i n TAB RET next prior prior misc-user 
C-_ button2 button2up button4 button4 button4 misc-user 
misc-user M-x r e p o TAB r t TAB TAB e m TAB RET

Recent messages (most recent first):
-----------------------------------

Parsing /home/f/feodor/.mailrc... done
Parsing /home/f/feodor/.mailrc...
Warning: 

Defaulting to the GNU Emacs-derived `sendmail.el' mail client. This facility,
while part of base XEmacs, is heinously underfeatured, and not going to get
better in the medium term. We include it so that bug reports work without
packages; we suggest that you choose and/or install one of the other mail
clients from packages if you're doing something other than M-x
report-xemacs-bug , or even if you are reporting bugs regularly.

To choose a package from those installed, click on "Options" ->
"Internet" -> "Compose Mail With ..." and decide on one from the
list. Gnus and VM are full-featured and have active user communities.

To disable this warning and stick with the old behavior, you can explicitly
initialize `mail-user-agent' to 'sendmail-user-agent . 
Loading xemacsbug...done
Loading xemacsbug...
Making completion list...
Making completion list...
button4 not defined.
button4 not defined.
button4 not defined.
Making completion list...
button4 not defined.
button5 not defined.
Wrote /home/f/feodor/.xemacs/custom.el
Loading pp...done
Loading pp...
Info: Comment - Made with GIMP
Info: Software - XV Version 3.10a  Rev: 12/29/94 (PNG patch 1.2)
Creating customization buffer...done
Creating customization setup...

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
History
Date User Action Args
2008-02-18 04:41:41mike.kupfersetstatus: new
2008-02-18 04:39:42mike.kupfersettitle: [Bug: 21.5-b28] -> [Bug: 21.5-b28] segv when changing font
2008-02-18 04:37:54mike.kupfersetpriority: normal
platform: + x86, unix
type: defect
severity: crash
module: + core code 21.5
2008-02-10 01:37:06feodorcreate